apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: cerebro
  namespace: logging
  labels:
    k8s-app: cerebro
    version: v0
spec:
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  template:
    metadata:
      labels:
        k8s-app: cerebro
        version: v0
    spec:
      containers:
      - name: cerebro
        image: kayrus/docker-elasticsearch-cerebro:0.6.5
        imagePullPolicy: Always
        readinessProbe:
          httpGet:
            path: /
            port: 9000
          timeoutSeconds: 1
          successThreshold: 1
        env:
          - name: ELASTICSEARCH_URL
            value: http://elasticsearch:9200
        ports:
        - containerPort: 9000
          name: ui
          protocol: TCP